Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class EngineConstants

    java.lang.Object
      org.eclipse.birt.report.engine.api.EngineConstants

    public class EngineConstants

extends java.lang.Object

Defines various constants that engine host may need to use

Field Summary
`static java.lang.String` | `APPCONTEXT_BIRT_VIEWER_HTTPSERVET_REQUEST`
`static java.lang.String` | `APPCONTEXT_CHART_PRINT_RESOLUTION` Deprecated. use APPCONTEXT_CHART_RESOLUTION instead of APPCONTEXT_CHART_PRINT_RESOLUTION
`static java.lang.String` | `APPCONTEXT_CHART_RESOLUTION`
`static java.lang.String` | `APPCONTEXT_CLASSLOADER_KEY`
`static java.lang.String` | `APPCONTEXT_DATASET_CACHE_OPTION`
`static java.lang.String` | `APPCONTEXT_HTML_RENDER_CONTEXT`
`static java.lang.String` | `APPCONTEXT_PDF_RENDER_CONTEXT`
`static java.lang.String` | `PROJECT_CLASSPATH_KEY`
`static java.lang.String` | `PROPERTY_EXTENDED_ITEM_MAX_ROW` This property is a key for putting max row number of extended item in app context or global variables.
`static java.lang.String` | `PROPERTY_EXTENDED_ITEM_MAX_VARIABLE_SIZE` This property is a key for putting max variable size of extended item in app context or global variables.
`static java.lang.String` | `PROPERTYSEPARATOR`
`static java.lang.String` | `USER_ACL_KEY`
`static java.lang.String` | `WEBAPP_CLASSPATH_KEY`
`static java.lang.String` | `WORKSPACE_CLASSPATH_KEY`

Constructor Summary
`EngineConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPCONTEXT_HTML_RENDER_CONTEXT

    public static final java.lang.String APPCONTEXT_HTML_RENDER_CONTEXT

See Also:
  Constant Field Values

### APPCONTEXT_PDF_RENDER_CONTEXT

    public static final java.lang.String APPCONTEXT_PDF_RENDER_CONTEXT

See Also:
  Constant Field Values

### APPCONTEXT_DATASET_CACHE_OPTION

    public static final java.lang.String APPCONTEXT_DATASET_CACHE_OPTION

See Also:
  Constant Field Values

### APPCONTEXT_BIRT_VIEWER_HTTPSERVET_REQUEST

    public static final java.lang.String APPCONTEXT_BIRT_VIEWER_HTTPSERVET_REQUEST

See Also:
  Constant Field Values

### APPCONTEXT_CLASSLOADER_KEY

    public static final java.lang.String APPCONTEXT_CLASSLOADER_KEY

See Also:
  Constant Field Values

### APPCONTEXT_CHART_RESOLUTION

    public static final java.lang.String APPCONTEXT_CHART_RESOLUTION

See Also:
  Constant Field Values

### APPCONTEXT_CHART_PRINT_RESOLUTION

    public static final java.lang.String APPCONTEXT_CHART_PRINT_RESOLUTION

  Deprecated. use APPCONTEXT_CHART_RESOLUTION instead of APPCONTEXT_CHART_PRINT_RESOLUTION
  See Also:
    Constant Field Values

### PROPERTY_EXTENDED_ITEM_MAX_ROW

    public static final java.lang.String PROPERTY_EXTENDED_ITEM_MAX_ROW

  This property is a key for putting max row number of extended item in app context or global variables.

  See Also:
    Constant Field Values

### PROPERTY_EXTENDED_ITEM_MAX_VARIABLE_SIZE

    public static final java.lang.String PROPERTY_EXTENDED_ITEM_MAX_VARIABLE_SIZE

  This property is a key for putting max variable size of extended item in app context or global variables.

  See Also:
    Constant Field Values

### PROPERTYSEPARATOR

    public static final java.lang.String PROPERTYSEPARATOR

### WEBAPP_CLASSPATH_KEY

    public static final java.lang.String WEBAPP_CLASSPATH_KEY

See Also:
  Constant Field Values

### WORKSPACE_CLASSPATH_KEY

    public static final java.lang.String WORKSPACE_CLASSPATH_KEY

See Also:
  Constant Field Values

### PROJECT_CLASSPATH_KEY

    public static final java.lang.String PROJECT_CLASSPATH_KEY

See Also:
  Constant Field Values

### USER_ACL_KEY

    public static final java.lang.String USER_ACL_KEY

See Also:
  Constant Field Values

Constructor Detail

### EngineConstants

    public EngineConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.